#
#			Radiactive Mod Race: Piromano / Arsonist
#

import es
import popuplib 
import playerlib
import usermsg
import weaponlib
import votelib
import random
import gamethread
import sys, traceback
import psyco
import effectlib
import vecmath 
import langlib
import cfglib
import os
import keyvalues
import math
import radmod
from radmod import radmod
psyco.full()

info = es.AddonInfo()
info.name = "piromano"
info.version = "1"
info.author = "Seth"
info.url = "http://www.hammerscript.webcindario.com"
info.basename = "piromano"
info.description = "A rpg mod for Counter Strike Source"
radmod_piromano = es.ServerVar('piromano',info.version,'radmod Version -==- Made by Seth').makepublic()


""" Race Config Starts """
race_name 			= "Piromano"
race_lvlreq			= 0
race_rptsreq 		= 0
race_ident 			= "piromano"
race_description 	= "Una raza especializada a matar montones de personas"
race_lvlstart 		= 1
race_rptsstart 		= 0
race_rptsmultip 	= 1
race_author 		= "Seth"
race_colorstr		= "255 0 0"
weap_restrict		= ["mp5navy", "mac10", "p90", "tmp", "ump45", "famas", "galil", "m4a1", "ak47", "aug", "g3sg1", "sg550", "sg552", "awp", "scout"]
race_text 			= "piromano"
speed					= 1.10
health					= 120

""" Skills race config starts """
#Granadas interminables / Endless grenades
skillauto_ident 			= "granadas"
skillauto_text				= "granadas 1"
skillauto_text_desc		= "granadas 2"
skillauto_lvls				= 1
skillauto_rptsreq			= 1500
skillauto_author			= "Seth"
skillauto_lvlmin				= 0
skillauto_lvlfrequence 	= 1
skillauto_allowedraces	= []
skillauto_allowedraces.append("piromano")
glob								= "no" 

#M249 como lanzallamas / M249 like flamethrower
skillno_ident 				= "lanzallamas"
skillno_text					= "lanzallamas 1"
skillno_text_desc			= "lanzallamas 2"
skillno_lvls					= 3
skillno_rptsreq				= 800
skillno_author				= "Seth"
skillno_lvlmin				= 10
skillno_lvlfrequence 	= 5
skillno_allowedraces	= []
skillno_allowedraces.append("piromano")
glob								= "no" 

#Knife berserker
skillatras_ident 				= "berserker"
skillatras_text					= "berserker 1"
skillatras_text_desc			= "berserker 2"
skillatras_lvls					= 6
skillatras_rptsreq				= 1000
skillatras_author				= "Seth"
skillatras_lvlmin				= 15
skillatras_lvlfrequence 	= 3
skillatras_allowedraces	= []
skillatras_allowedraces.append("piromano")
glob								= "no" 

#Alma ardiente / Burning Soul
skillburn_ident 				= "burning"
skillburn_text					= "burning 1"
skillburn_text_desc			= "burning 2"
skillburn_lvls					= 5
skillburn_rptsreq				= 1200
skillburn_author				= "Seth"
skillburn_lvlmin				= 25
skillburn_lvlfrequence 		= 5
skillburn_allowedraces	= []
skillburn_allowedraces.append("piromano")
glob								= "no" 


text = None
def load():
	global text
	text = langlib.Strings(es.getAddonPath("radmod") + "/strings.ini")
	raza = radmod.Raza(race_ident)
	
	#Crear la raza
	raza.setRaza(race_ident, race_name, race_lvlreq, race_description, race_lvlstart, race_rptsstart, race_rptsreq, race_rptsmultip, race_author, race_colorstr, race_text, speed, health, weap_restrict)
	
	#Crear la habilidad "Granadas interminables" / Make the skill "Endless grenades"
	raza.createSkill(skillauto_ident, skillauto_lvls, skillauto_rptsreq, skillauto_author, skillauto_lvlmin, skillauto_lvlfrequence, skillauto_allowedraces, skillauto_ident, skillauto_text, skillauto_text_desc, glob)
	
	#Crear la habilidad "M249 como lanzallamas" / Make the skill "M249 like flamethrower"
	raza.createSkill(skillno_ident, skillno_lvls, skillno_rptsreq, skillno_author, skillno_lvlmin, skillno_lvlfrequence, skillno_allowedraces, skillno_ident, skillno_text, skillno_text_desc, glob)
	
	#Crear la habilidad "Knife Berserker" / Make the skill "Knifer Berserker"
	#raza.createSkill(skillatras_ident, skillatras_lvls, skillatras_rptsreq, skillatras_author, skillatras_lvlmin, skillatras_lvlfrequence, skillatras_allowedraces, skillatras_ident, skillatras_text, skillatras_text_desc, glob)
	
	#Crear la habilidad "Alma ardiente" / Make the skill "Burning Soul"
	#raza.createSkill(skillburn_ident, skillburn_lvls, skillburn_rptsreq, skillburn_author, skillburn_lvlmin, skillburn_lvlfrequence, skillburn_allowedraces, skillburn_ident, skillburn_text, skillburn_text_desc, glob)
	
def skill__1(ev):
	userid = ev['userid']
	steam = es.getplayersteamid(userid)
	clase = es.keygetvalue("radmod", steam, "clase")
	burning = es.keygetvalue("radmod", steam, skillburn_ident)
	if burning:
		pass

def player_hurt(ev):
	attacker_steam = ev['es_attackersteamid']
	victim = ev['userid'] 
	attacker = ev['attacker']
	attacker_clase = es.keygetvalue("radmod", attacker_steam, "clase")
	if attacker_clase == "piromano":
		weapon = ev['weapon']
		if weapon == "m249": 
			if not ev['es_userdead'] == "1": 
				abil = int(es.keygetvalue("radmod", attacker_steam, skillatras_ident))
				if abil:
					torand = 9 - abil
					ran = random.randint(1, torand)
					randed = torand / 2
					if torand == 7:
						randed = 3
					if ran == randed:
						burned = playerlib.getPlayer(victim) 
						burned.burn() 
						gamethread.delayed(2, burned.extinguish)
	
def hegrenade_detonate(ev):
	steam = es.getplayersteamid(ev['userid'])
	clase = es.keygetvalue("radmod", steam, "clase")
	abil = es.keygetvalue("radmod", steam, "granadas")
	if clase == "piromano":
		if abil:
			es.server.queuecmd('es_xgive %s %s'%(ev['userid'], 'weapon_hegrenade'))